Page MenuHomePhabricator

efl_ui_item: migrate to Efl.Ui.Clickable
ClosedPublic

Authored by bu5hm4n on May 5 2019, 3:05 AM.

Details

Summary

this adds the mixin to the item. With this commit every class inheriting
from Efl.Ui.Item will automatically emit all the clickable events.

Depends on D9423

Diff Detail

Repository
rEFL core/efl
Branch
devs/bu5hm4n/work
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 11439
bu5hm4n created this revision.May 5 2019, 3:05 AM
bu5hm4n requested review of this revision.May 5 2019, 3:05 AM

With the patches here, we have test-coverage over all widgets implementing efl.ui.clickable. That all events are emitted as expected. (Except efl.ui.text, see the reasoning in the commit).

Travis: https://travis-ci.org/Enlightenment/efl/jobs/528235450

segfaultxavi requested changes to this revision.May 6 2019, 4:09 AM

You probably want to change the commit title.

This revision now requires changes to proceed.May 6 2019, 4:09 AM
bu5hm4n updated this revision to Diff 21965.May 6 2019, 7:41 AM
bu5hm4n retitled this revision from efl_ui_item: migrate to Efl.Ui.Item to efl_ui_item: migrate to Efl.Ui.Clickable.
bu5hm4n edited the summary of this revision. (Show Details)

Rebase & update according to xavi review

bu5hm4n updated this revision to Diff 22004.May 7 2019, 2:56 AM

Rebase, because of zoomable change

segfaultxavi accepted this revision.May 7 2019, 3:04 AM
This revision is now accepted and ready to land.May 7 2019, 3:04 AM
bu5hm4n updated this revision to Diff 22112.May 12 2019, 2:18 AM

Rebase & update

zmike accepted this revision.May 13 2019, 11:39 AM
bu5hm4n updated this revision to Diff 22163.May 14 2019, 1:55 AM

Make press,move-out-of-widget,unpress scenarios work take 2

bu5hm4n updated this revision to Diff 22183.May 14 2019, 10:54 AM

update to new API names

bu5hm4n updated this revision to Diff 22195.May 14 2019, 11:22 AM

update to new API names, redo

bu5hm4n abandoned this revision.May 15 2019, 6:38 AM

Lets ignore this and actually test the real items.

bu5hm4n reclaimed this revision.Jul 10 2019, 5:06 AM
This revision is now accepted and ready to land.Jul 10 2019, 5:06 AM
bu5hm4n updated this revision to Diff 23670.Jul 28 2019, 8:15 AM
bu5hm4n edited the summary of this revision. (Show Details)

remove more code that can be done with the util class, and rebase in a way that the patch does apply again.

Does not apply :(

Closed by commit rEFL44a45e3acadb: efl_ui_item: migrate to Efl.Ui.Clickable (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJul 29 2019, 7:32 AM
This revision was automatically updated to reflect the committed changes.